# Get Card Effective Fee

## Get Card Effective Fee

The Get Card Effective Fee API allows getting an effective fee for a specific praxell code.

## Input Parameters:

| Name          | Required | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Comments |
| ------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| Amount        | N        | <p>Format: Numeric, 1-9,<br>Description: The amount is in cents.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                              |          |
| DateOfBirth   | N        | <p>Format: yyyy-mm-dd<br>Description: Cardholder must be above 17 years old</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                   |          |
| ID            | Y        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">IDType</a> = RPID<br>Input should be Card Number in case <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">IDType</a> = <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">CardNumber</a><br></p> |          |
| IDType        | N        | Format: CardNumber, RPID, DDA, FBEDDA                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |          |
| PraxellCode   | Y        | <p>Format: Alphanumeric, 6<br>Description: validates if exists</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                |          |
| ReturnBalance | N        | Format: Y/N (default=Y)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |          |

## Output Parameters:

| Name                | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | Failure Case | Success Case | Comments |
| ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------- |
| AddressLine1        | Format: Alphanumeric, 30                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| AddressLine2        | Format: Alphanumeric, 30                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| Balance             | Format: Numeric, 11                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | Not returned | Returned     |          |
| City                | Format: Alphanumeric, 20                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| DateOfBirth         | <p>Format: yyyy-mm-dd<br>Description: Cardholder must be above 17 years old</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Not returned | Returned     |          |
| FeeAmount           | Format: Numeric, 10                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | Not returned | Returned     |          |
| FirstName           | Format: Alphanumeric, 10                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| HierarchyEntityType | <p>Format options:<br>SUBBIN<br>PROGRAM<br>PT<br>ORG\_PROGRAM<br>ORG\_PT<br>CARD<br></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| IsReceiveSms        | <p>Format options:<br>Enabled (the cardholder has requested to receive an SMS for transactions and therefore he get SMS's)<br>Disabled (the cardholder has requested to not receive an SMS for transactions and therefore he does not get SMS's)<br>Blank (the cardholder has not requested to receive an SMS for transactions and therefore he does not get SMS's)<br>Mail (the cardholder has requested to receive an mail for transactions and therefore he get mails)<br><br>Description:Defines if the cardholder gets an SMS/Mail.</p> | Not returned | Returned     |          |
| LastName            | Format: Alphanumeric, 15                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| Phone               | <p>Format: Numeric, 6-15<br>Description: Phone number</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | Not returned | Returned     |          |
| State               | Format: Alphanumeric, 2                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Not returned | Returned     |          |
| Zip                 | Format: Numeric, 5                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | Not returned | Returned     |          |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
    <AuthenticationDetails>
        <SessionId>76036613201151010</SessionId>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <ServiceName>GetCardEffectiveFee</ServiceName>
        <UniqueRequestId>76036613201151010~5</UniqueRequestId>
    </ServiceDetails>
    <Origin>
        <OriginType>Portal:pdp</OriginType>
    </Origin>
    <ServiceParams>
        <PraxellCode>XP05DS</PraxellCode>
        <ID>1675670040615548</ID>
        <IDType>CardNumber</IDType>
        <DateOfBirth>1947-04-21</DateOfBirth>
        <Amount></Amount>
        <ReturnBalance></ReturnBalance>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0" ?>
  <PraxellXMLResponse>
   <ResponseDetails>
      <ServiceName>GetCardEffectiveFee</ServiceName>
      <SessionId></SessionId>
      <StatusCode></StatusCode>
      <StatusName></StatusName>
      <StatusDescription>NA</StatusDescription>
      <ServiceDate></ServiceDate>
      <ServiceId></ServiceId>
   </ResponseDetails>
   <ResponseParams>
      <FeeAmount></FeeAmount>
      <HierarchyEntityType></HierarchyEntityType>
      <Balance></Balance>
      <FirstName></FirstName>
      <LastName></LastName>
      <DateOfBirth></DateOfBirth>
      <AddressLine1></AddressLine1>
      <AddressLine2></AddressLine2>
      <City></City>
      <State></State>
      <Zip></Zip>
      <Phone></Phone>
      <IsReceiveSms></IsReceiveSms>
   </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>GetCardEffectiveFee</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/get-card-effective-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
